package cn.com.ty.lift.ud.payment.mapper.entity;

import lombok.Data;

public enum UserBillTradingEnum {
    //1 充值会员,2 打赏，3 充值， 4 诊单业务、5提现、6提现失败退款
    //     * 7、余额消费 8拒絕接单退款 9专家惩罚，10，申诉退款,11，粉丝充值返利 12、现金支付'
    becameVip(1,"充值会员"),
    reward(2,"打赏"),
    charge(3,"充值"),
    caes(4,"诊单业务"),
    withdrawals(5,"提现"),
    withdrawalsFails(6,"提现失败退款"),
    balancePayment(7,"余额消费"),
    refuseCase(8,"拒单退款"),
    punishment(9,"专家拒单"),
    appealReturn(10,"申述退款"),
    lowerReturn(11,"分销返利"),
    cashPayment(12,"专家拒单")
    ;

    private Integer code;
    private String name;

    UserBillTradingEnum(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
